cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Visitor
Visitor
391 Views
Registered: ‎07-01-2020

[Alveo U250] Flashable partition running on FPGA version

Jump to solution

Hello, I think I've got some trouble with Alveo U250 card installation.

When I tried [xbutil validate -d <card_bdf>] command, I got following messages.

Yeo-Reum_0-1598923681111.png

Before I deploy my cards, I'm worried about 

"SC firmware running on board: 3.1. Expected SC firmware from installed Shell: 4.2.0"

line on my messages.

 

Can you give me some help to install proper SC frimware Shell?

 

Additionally, if I command [xbmgmt flash --scan], I got following messages.

Yeo-Reum_1-1598924276732.png

 

Thank you.

 

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Xilinx Employee
Xilinx Employee
329 Views
Registered: ‎12-06-2019

Hi @Yeo-Reum ,

You can see from your  [xbmgmt flash --scan] output that the shell installed on your system has SC firmware 4.2.0 with it. All we have to do is flash the SC. To do that, simply run:

sudo xbmgmt flash --update

You'll see something similar to the following:

                                Card [0000:3d:00.0]:

                               Status: SC needs updating

                               Current SC: 3.1

                               SC to be flashed: 4.2.0

                Are you sure you wish to proceed? [y/n]:

Proceeding will update the SC firmware. Then you should no longer receive that warning.

Let me know if you have any questions.

 

Best,

-Emery

View solution in original post

4 Replies
Highlighted
Xilinx Employee
Xilinx Employee
330 Views
Registered: ‎12-06-2019

Hi @Yeo-Reum ,

You can see from your  [xbmgmt flash --scan] output that the shell installed on your system has SC firmware 4.2.0 with it. All we have to do is flash the SC. To do that, simply run:

sudo xbmgmt flash --update

You'll see something similar to the following:

                                Card [0000:3d:00.0]:

                               Status: SC needs updating

                               Current SC: 3.1

                               SC to be flashed: 4.2.0

                Are you sure you wish to proceed? [y/n]:

Proceeding will update the SC firmware. Then you should no longer receive that warning.

Let me know if you have any questions.

 

Best,

-Emery

View solution in original post

Highlighted
Visitor
Visitor
311 Views
Registered: ‎07-01-2020

Thank you so much, @emeryw .

Do I have to cold reboot again after updating the SC firmware?

0 Kudos
Highlighted
Xilinx Employee
Xilinx Employee
281 Views
Registered: ‎12-06-2019

Hi @Yeo-Reum ,

The usual cold boot is done after flashing a shell onto the card. In this instance, we updated just the firmware of the satellite controller. During that process, the satellite controller is restarted automatically when the flash is complete, so no further actions are needed.

Best,

-Emery

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------

Highlighted
Visitor
Visitor
264 Views
Registered: ‎07-01-2020

Oh, I see! Thank you so much @emeryw .

0 Kudos